***** File description **************************************************
*** File:        changePasswd.s
***              (This is a part of Norbert Gb's PASSSAVE)
*** Platform:    HP48GX
*** Language:    System-RPL
*** Description: Input:
***                <1> str --- the passwd
***              Output:
***                <1'> str  --- new passwd
***              Asks the user for some new password twice. If both
***              inputs are equal, the password is replaced by the 
***              input, otherwise it remains unchanged.
***              
*** Author:      Norbert Gb (goeb@mathematik.uni-kl.de)
*** Date:        02/2000
***
*** License/Disclaimer **************************************************
*** This program is free software; you can redistribute it and/or  modify
*** it under the terms of the GNU General Public License as published  by
*** the Free Software Foundation; either version 2, or (at  your  option)
*** any later version.
*** 
*** This program is distributed in the hope that it will be  useful,  but
*** WITHOUT  ANY  WARRANTY;  without  even  the   implied   warranty   of
*** MERCHANTABILITY or FITNESS FOR A  PARTICULAR  PURPOSE.  See  the  GNU
*** General Public License for more details.
*** 
*** You should have received a copy of the  GNU  General  Public  License
*** along  with  this  program;  if  not,  write  to  the  Free  Software
*** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
*** USA.
*************************************************************************

ASSEMBLE
        NIBASC  /HPHP48-D/
RPL
:: 
    CK1NOLASTWD 
*   CK&DISPATCH1 #00003 
    :: 
      
      "- Password change -"
      ID getPasswd
      
      DUP
      
      "- Password reentry -"
      ID getPasswd

      EQUAL

      BlankDA12
      
      ITE
      ::
        ( the passwords are equal - change the passwd )
        SWAP
        DROP
	"   Password changed"
      ;
      ::
        ( the passwords are not equal - do not change )
        DROP
	"! Password unchanged !"
      ;
      BIGDISPROW1
      "(press any key)."
      DISPROW6
      WaitForKey
      2DROP
      
    ;
;
