***** File description **************************************************
*** File:        editEntry.s
***              (This is a part of Norbert Gb's PASSSAVE)
*** Platform:    HP48GX
*** Language:    System-RPL
*** Description: Input:
***                <1>  list of six char-strings
***              Output:
***                <1'> edited version of <1>
***              
***              Lets the user edit the strings in <1>.
***              
*** Author:      Norbert Gb (goeb@mathematik.uni-kl.de)
*** Date:        02/2000
***
*** License/Disclaimer **************************************************
*** This program is free software; you can redistribute it and/or  modify
*** it under the terms of the GNU General Public License as published  by
*** the Free Software Foundation; either version 2, or (at  your  option)
*** any later version.
*** 
*** This program is distributed in the hope that it will be  useful,  but
*** WITHOUT  ANY  WARRANTY;  without  even  the   implied   warranty   of
*** MERCHANTABILITY or FITNESS FOR A  PARTICULAR  PURPOSE.  See  the  GNU
*** General Public License for more details.
*** 
*** You should have received a copy of the  GNU  General  Public  License
*** along  with  this  program;  if  not,  write  to  the  Free  Software
*** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
*** USA.
*************************************************************************

*  ( hxs  --> str )
ASSEMBLE
        NIBASC  /HPHP48-D/
RPL
:: 
    CK1NOLASTWD 
    CK&DISPATCH1 #00005
    :: 
       { NULLLAM }
       BIND
       
         1GETLAM
	 LENCOMP
	 #1+_ONE_DO (DO)
	    ( create the prompt-string ) 
	    ::
		INDEX@ ONE #= case
		  ::
		    "Enter login desc.:"
		  ;
		INDEX@ TWO #= case
		  ::
		    "Enter login password:"
		  ;
		INDEX@ THREE #= case
		  ::
		    "Enter host name:"
		  ;
		INDEX@ FOUR #= case
		  ::
		    "Enter user-name:"
		  ;
		  ::
		    "Enter some remarks:"
		  ;
	    ;
	    ( calculate the initial value )
	    1GETLAM
	    INDEX@
	    NTHCOMPDROP ( InitialValue )
       
            ZERO   ( cursor pos: at the end )
	    ONEONE ( insert-mode: insert --- entry-mode: immediate )
	    DUP    ( alpha-mode: alpha )
	    NULL{} ( ILMenu )
	    ONE    ( #ILMenu )
	    FALSE  ( Cancel just clears the input-line )
	    ZERO   ( Do not decompile the input-line; just return a string )
	    ( execute the InputLine )
	    InputLine
	    DROP ( drop the TRUE )
	    
	 LOOP

	 
	 ( we construct a list consisting of the entered data )
	 1GETLAM
	 LENCOMP
	 #1+
	 #1-{}N

       ABND
    ;
;
